﻿@model OpportunitiesView
@using ARGNS.WebSite.Resources.Views.Opportunities
@{
    ViewBag.Title = "_Opportunities";
    Layout = "~/Areas/Sales/Views/Shared/_Layout.cshtml";
}

@Styles.Render("~/Content/DataPicker")
@Styles.Render("~/bundles/DataTables-CSS")
@Scripts.Render("~/bundles/DataTables-JS")

<script type="text/javascript">
    var formMode = '@ViewBag.FormMode';
    var urlRedirect = '@ViewBag.URLRedirect';
</script>

        <h1 class="page-header">@Opportunities.Opportinity</h1>
        @using (Html.BeginForm("ConfirmAction", "PurchaseOrder", FormMethod.Post, new { @class = "form-horizontal row-border", id = "formOpportunity" }))
        {
                   <!--///////// BLOKE 1/////////-->
            <div class="row">
                <div class="col-md-6">
                    <div class="panel panel-default">
                        <div class="panel-heading clearfix">
                            <h3 class="panel-title">@Opportunities.Opportinity</h3>
                        </div>
                        <div class="panel-body">
                            
                            <div class="form-group">
                                <label class="col-md-2 control-label">@Opportunities.OpporName</label>
                                <div class="col-md-5">
                                    @Html.TextBoxFor(c => c.Name, new { @id = "Name", @placeholder = @Opportunities.OpporName, @class = "form-control" })
                                </div>


                                <label class="col-md-1 control-label">@Opportunities.Type</label>
                                <div class="col-lg-4">
                                    @Html.DropDownListFor(model => model.OpprType, new SelectList(
                                        Model.OpportunityTypeList,
                                        "Code",
                                        "Name", Model.OpprType), new { @Id = "OpprType", @class = "form-control" })
                                </div>

                            </div>

                            <div class="form-group">
                                <label class="col-md-2 control-label">@Opportunities.BP</label>

                                <div class="col-md-4">
                                    @Html.TextBoxFor(c => c.CardCode, new { @id = "CardCode", @placeholder = @Opportunities.CustCode, @class = "form-control form_separator" })
                                </div>
                                <div class="col-md-4">
                                    @Html.TextBoxFor(c => c.CardName, new { @id = "CardName", @placeholder = @Opportunities.CustName, @class = "form-control form_separator", @disabled = "disabled" })
                                </div>
                                <div class="col-md-2 pull-right">
                                    <button type="button" class="btn btn-success btn-ls pull-right " data-toggle="modal" id="btnSearchBP" data-target="#VendorModal"><span class="glyphicon glyphicon-search"></span> @Opportunities.Search </button>
                                </div>
                            </div>

                            <br>
                            <br>

                            <div class="form-group">
                                <label class="col-md-2 control-label">@Opportunities.ContactPerson</label>
                                <div class="col-lg-10">
                                    @Html.DropDownListFor(model => model.CprCode, new SelectList(
                                Model.ContactPersonList,
                                                                   "CntctCode",
                                                                                                      "Name", Model.CprCode), new { @Id = "CprCode", @class = "form-control" })
                                </div>
                            </div>
                            <br>

                            <div class="form-group">
                                <label class="col-md-2 control-label">@Opportunities.SalesEmp</label>
                                <div class="col-lg-10">
                                    @Html.DropDownListFor(model => model.SlpCode, new SelectList(
                                Model.SalesEmployeeList,
                                                                                               "SlpCode",
                                                                                                                                 "SlpName", Model.SlpCode), new { @Id = "SlpCode", @class = "form-control" })
                                </div>
                            </div>

                            <br>
                            <div class="form-group">
                                @Html.Hidden("Owner", Model.Owner)
                                <label class="col-md-2 control-label">@Opportunities.Owner</label>
                                <div class="col-md-4">
                                    @Html.TextBoxFor(c => c.OwnerSAP.completeName, new { @id = "OwnerName", @placeholder = @Opportunities.Owner, @class = "form-control form_separator", @disabled = "disabled" })
                                </div>
                                <div class="col-md-4">
                                    <button type="button" class="btn btn-success btn-ls pull-left " data-toggle="modal" data-target="#EmployeeModal"><span class="glyphicon glyphicon-search"></span> @Opportunities.Search @Opportunities.Owner</button>
                                </div>
                            </div>
                            <br>

                            <div class="form-group">
                                <label class="col-md-2 control-label">@Opportunities.Code</label>
                                <div class="col-md-10">
                                    @Html.TextBoxFor(c => c.OpprId, new { @id = "OpprId", @placeholder = @Opportunities.Code, @class = "form-control", @disabled = "disabled" })
                                </div>
                            </div>
                            <br>

                            
                        </div>
                    </div>
                </div>


                <div class="col-md-3">
                    <div class="panel panel-default">
                        <div class="panel-heading clearfix">
                            <h3 class="panel-title">@Opportunities.Potential </h3>
                        </div>
                        <div class="panel-body">

                            <div class="form-group">
                                <label class="col-md-6 control-label">@Opportunities.PredictedDate</label>
                                <div class="col-md-6">
                                    <div class="input-group date">
                                        @Html.TextBoxFor(c => c.PredDate, new { @Id = "PredDate", @Name = "PredDate", @placeholder = @Opportunities.PredictedDate, @class = "form-control", @Value = (Model.PredDate != null && Model.PredDate != DateTime.MinValue) ? Model.PredDate.ToString().AsDateTime().ToShortDateString() : "" })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                                    </div>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-md-6 control-label">@Opportunities.PotentialAmount</label>
                                <div class="col-md-6">
                                    @Html.TextBoxFor(c => c.MaxSumLoc, (string)ViewBag.Decimalformat, new { @Id = "MaxSumLoc", @Name = "MaxSumLoc", @placeholder = @Opportunities.PotentialAmount, @class = "form-control", @type = "number", @onchange = "CalcularPonderadoHeader();" })
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-md-6 control-label">@Opportunities.WeghttedAmount</label>
                                <div class="col-md-6">
                                    @Html.TextBoxFor(c => c.WtSumLoc, (string)ViewBag.Decimalformat, new { @Id = "WtSumLoc", @Name = "WtSumLoc", @placeholder = @Opportunities.WeghttedAmount, @class = "form-control", @type = "number", @onchange = "CalcularPotencialHeader();" })
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-md-6 control-label">@Opportunities.Grossprofit</label>
                                <div class="col-md-6">
                                    @Html.TextBoxFor(c => c.PrcnProf, (string)ViewBag.Decimalformat, new { @Id = "PrcnProf", @Name = "PrcnProf", @placeholder = @Opportunities.Grossprofit, @class = "form-control", @type = "number", @onchange = "CalculateTotalProfit();" })
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-md-6 control-label">@Opportunities.GrossProfitTotal </label>
                                <div class="col-md-6">
                                    @Html.TextBoxFor(c => c.SumProfL, (string)ViewBag.Decimalformat, new { @Id = "SumProfL", @Name = "SumProfL", @placeholder = @Opportunities.GrossProfitTotal, @class = "form-control", @type = "number", @onchange = "CalculateTotalPercent();" })
                                </div>
                            </div>

                        </div>
                    </div>
                </div>


                <div class="col-md-3">
                    <div class="panel panel-default">
                        <div class="panel-heading clearfix">
                            <h3 class="panel-title">@Opportunities.Dates </h3>
                        </div>
                        <div class="panel-body">

                            <div class="form-group">
                                <label class="col-md-4 control-label">@Opportunities.Status</label>
                                <div class="col-lg-8 col-sm-6 col-sx-6">
                                    @Html.DropDownListFor(model => model.Status, new SelectList(
                                        Model.StatusList,
                                        "Value",
                                        "Text", Model.Status), new { @Id = "StatusList", @class = "form-control" })
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-md-4 control-label">@Opportunities.Date</label>
                                <div class="col-md-8">
                                    <div class="input-group date">
                                        @Html.TextBoxFor(c => c.OpenDate, new { @Id = "OpenDate", @Name = "OpenDate", @placeholder = @Opportunities.Date, @class = "form-control", @Value = (Model.OpenDate != null && Model.OpenDate != DateTime.MinValue) ? Model.OpenDate.ToString().AsDateTime().ToShortDateString() : "" })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                                    </div>
                                </div>
                            </div>


                            <div class="form-group">
                                <label class="col-md-4 control-label">@Opportunities.ClosingDate</label>
                                <div class="col-md-8">
                                    <div class="input-group date">
                                        @Html.TextBoxFor(c => c.CloseDate, new { @Id = "CloseDate", @Name = "CloseDate", @placeholder = @Opportunities.ClosingDate, @class = "form-control", @Value = (Model.CloseDate != null && Model.CloseDate != DateTime.MinValue) ? Model.CloseDate.ToString().AsDateTime().ToShortDateString() : "", @disabled = "disabled" })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                                    </div>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-md-4 control-label">@Opportunities.OpenActivities</label>
                                <div class="col-md-8">
                                    <input type="text" id="TotalDocPD" name="disabled" disabled="disabled" value="0" class="form-control">
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="col-md-4 control-label">@Opportunities.Closing</label>
                                <div class="col-md-8">
                                    <div class="progress">
                                        <div id="progbarheader" class="progress-bar progress-bar-success progress-bar-striped" role="progressbar" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100" style="width:@String.Format(CultureInfo.InvariantCulture, "{0:0.00}", Model.CloPrcnt)%">
                                            <span id="spanprogbarheader">@String.Format(CultureInfo.InvariantCulture, "{0:0.00}", Model.CloPrcnt) % @Opportunities.Completed</span>
                                        </div>
                                    </div>
                                    @Html.Hidden("CloPrcnt", Model.CloPrcnt)
                                </div>
                            </div>


                        </div>
                    </div>
                </div>


            </div>
            <!--///////// BLOKE 2 /////////-->

            <div class="panel panel-default">
                <div class="panel-heading clearfix">
                    <h3 class="panel-title">@Opportunities.Stage</h3>
                </div>
                <!--bloke search-->
                <div class="panel-body">
                    <div class="col-md-12">                      
                            <button type="button" id="btNew" class="btn btn-success btn-lg" data-toggle="modal" data-target="#myModal"><span class="glyphicon glyphicon-plus"></span> @Opportunities.New</button>
                    </div>
                </div>
                <div class="divider"></div>

                    <!--Document Line-->
                    <div class="panel-body">
                        <!--campos filtro-->

                        <div id="ItemsSelect" class="table-responsive tableItemsDocuments">
                            @Html.Partial("_OpportunitiesLines", Model.OpportunitiesLines)
                        </div>
                    </div>
                </div>

            <!--///////// close BLOKE/////////-->
            <!--///////// BLOKE 3 /////////-->

            <div class="row">
                <div class="col-md-6">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <h3 class="panel-title">@Opportunities.Project</h3>
                        </div>
                        <div class="panel-body">
                            <div class="panel-body">

                                @*<label class="col-md-2 control-label">@Opportunities.Code</label>
                                <div class="col-md-10">

                                    <select id="Buyer" class="form-control" data-val="true" data-val-number="The field SlpCode must be a number." data-val-required="The SlpCode field is required." name="Item1.SlpCode">
                                        <option value="2">Bill Levine</option>
                                        <option value="4">Brad Thompson</option>
                                    </select>
                                </div>
                                <div class="clear_simple"></div>*@


                                <label class="col-md-2 control-label">@Opportunities.Remarks</label>
                                <div class="col-md-10">
                                    @Html.TextAreaFor(c => c.Memo, new { @Id = "Memo", @placeholder = @Opportunities.Remarks, @class = "form-control", @rows ="10" })
                                </div>
                            </div>

                        </div>
                    </div>
                </div>

            </div>

            <div class="alert alert-success" id="UpdateCorrectly" role="alert">
                <strong>@Opportunities.UpdatedSuccess</strong>
            </div>

            <div class="alert alert-danger" id="PotentialAlert" role="alert">
                <strong>@Opportunities.PotentialError</strong>
            </div>

            <div class="but_blok_footer">
                <div class="col-lg-12">
                    <a id="btnOk" class="btn btn-lg btn-success pull-right" style="margin-left:3px">Ok</a>
                    <a id="Cancel" name="Cancel" class="btn btn-lg btn-default  pull-right" href='@ViewBag.URLRedirect'>@Opportunities.Cancel</a>
                </div>
            </div>
        }

<input type="hidden" id="ActualLine" value="" />


@*Modal Vendors*@
<div class="modal fade" id="VendorModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabelVendorModalVendor">@SaleOrders.Search @SaleOrders.Customer</h4>
            </div>
            <div class="">
                <div class="bs-example">
                    <div class="col-md-4" style="padding-top:0px;">
                        <div class="row">
                            <label class="col-md-3 control-label">@PurchaseOrders.Code</label>
                            <div class="col-md-9">
                                @Html.TextBox("txtCodeBP", null, new { @Id = "txtCodeBP", @Name = "txtCodeBP", @placeholder = @PurchaseOrders.Code, @class = "form-control" })
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-md-3 control-label">@PurchaseOrders.Name</label>
                            <div class="col-md-9">
                                @Html.TextBox("txtNameBP", null, new { @Id = "txtNameBP", @Name = "txtNameBP", @placeholder = @PurchaseOrders.Name, @class = "form-control" })
                            </div>
                        </div>
                    </div>
                    <div class="col-md-2 pull-right">
                        <button type="button" id="SearchVendor" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-search"></span> @SaleOrders.Search</button>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="table-responsive responsive table_cart">
                        <table id="assets-data-table-BP" class="table table-striped table-hover display" style="width:100%;"></table>
                        <script type="text/javascript">
                        var assetListBP;
                        $(function () {
                            assetListBP = {
                                dtBP: null,
                                init: function () {
                                    dtBP = $('#assets-data-table-BP').DataTable({
                                        "autoWidth": true,
                                        "serverSide": true,
                                        "processing": true,
                                        "data": null,
                                        "dom": '<"top"lp>rt<"bottom"ip>',
                                        "ajax": {
                                            "url": "/Sales/Opportunities/_Customers",
                                            "type": 'POST',
                                            "data": function (data) {
                                                data.pCardCode = $("#txtCodeBP").val();
                                                data.pCardName = $("#txtNameBP").val();
                                            }
                                        },
                                        "columns": [
                                            { "title": "@BusinessPartners.Code", "data": "CardCode", "name": "CardCode" },
                                            { "title": "@BusinessPartners.Name", "data": "CardName", "name": "CardName" },
                                            {
                                                "title": "@BusinessPartners.Type", "name": "CardType", "data": "CardType",
                                                "render": function (data, type, full, meta) {
                                                    switch (data) {
                                                        case "C": return "@BusinessPartners.Customer"; break;
                                                        case "S": return "@BusinessPartners.Vendor"; break;
                                                        case "L": return "@BusinessPartners.Lead"; break;
                                                        default: ""; break;
                                                    }
                                                }
                                            },
                                            {
                                                "title": "", "data": null, "width": "110px", "orderable": false, "name": "",
                                                "render": function (data, type, full, meta) {
                                                    var mReturnValue = "<button type=\"button\" class=\"btn btn-primary btn-xs\" onclick=\"SetVendor('" + data.CardCode + "','" + data.CardName + "',true);\"><span class=\"glyphicon glyphicon-arrow-right\"></span> @PurchaseOrders.Select</button>";
                                                    return mReturnValue;
                                                }
                                            }
                                        ],
                                        "lengthMenu": [[10, 25, 50, 100], [10, 25, 50, 100]],
                                    });
                                },
                                refresh: function () {
                                    dtBP.ajax.reload();
                                }
                            }
                        });
                        </script>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">@SaleOrders.Cancel</button>
            </div>
        </div>
    </div>
</div>

@*Owner Modal*@
<div class="modal fade" id="EmployeeModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabelEmloyeeModalEmployee">@PurchaseOrders.Search @PurchaseOrders.Employee</h4>
            </div>
            <div class="">

                <div class="bs-example">

                    <div class="col-md-3">
                        <label class="checkbox-inline">
                            <input type="checkbox" id="ckCodeEmployee" value="option1" checked=""> @PurchaseOrders.BC
                        </label>

                        <br>
                        <label class="checkbox-inline">
                            <input type="checkbox" id="ckNameEmployee" value="option1" checked=""> @PurchaseOrders.BN
                        </label>
                    </div>


                    <div class="col-md-2">
                        <label class="col-md-2 control-label">@PurchaseOrders.Search</label>
                    </div>

                    <div class="col-md-4">
                        <input type="text" name="regular" id="txtSearchEmployee" class="form-control">
                    </div>

                    <div class="col-md-2 pull-right">
                        <button type="button" id="SearchEmployee" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-search"></span> @PurchaseOrders.Search</button>
                    </div>

                </div>


                <div class="panel-body">
                    <!--tabla-->
                    <div class="table-responsive">
                        <div id="LoadEmployee" style=" text-align :center ">
                            <img src="~/Content/img/Load.gif" />
                        </div>
                        <div id="ModalBodyEmployee">
                            @*Aca cargo los datos por el ajax*@
                        </div>
                    </div>

                </div>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">@PurchaseOrders.Cancel</button>
            </div>
        </div>
    </div>
</div>

@*Document Modal*@
<div class="modal fade" id="DocumentModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabelEmloyeeModalEmployee">@PurchaseOrders.Search @Opportunities.Document</h4>
            </div>
            <div class="">
                <div class="bs-example">              
                    <div class="col-md-2 pull-right">
                        <button type="button" id="SearchDocument" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-search"></span> @PurchaseOrders.Search</button>
                    </div>
                </div>
                <div class="panel-body">
                    <!--tabla-->
                    <div class="table-responsive">
                        <div id="ModalBodyDocument">    
                            @Html.Partial("_ListDocuments")
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">@PurchaseOrders.Cancel</button>
            </div>
        </div>
    </div>
</div>

@Scripts.Render("~/bundles/Opportunities-Model")